GDCM: vtkGDCMImageReader Class Reference

GDCM 3.0.25

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkGDCMImageReader Class Reference

`#include <vtkGDCMImageReader.h>`

Inheritance diagram for vtkGDCMImageReader:
[legend]
Collaboration diagram for vtkGDCMImageReader:
[legend]

## Public Member Functions
virtual int | CanReadFile (const char *fname)
virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
vtkImageData * | GetIconImage ()
vtkImageData * | GetOverlay (int i)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCurve (vtkPolyData *pd)
virtual void | SetFileNames (vtkStringArray *)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *pd)
| vtkBooleanMacro (ApplyLookupTable, int)
int | vtkBooleanMacro (ApplyYBRToRGB, int)
| vtkBooleanMacro (LoadIconImage, int)
| vtkBooleanMacro (LoadOverlays, int)
| vtkBooleanMacro (LossyFlag, int)
| vtkGetMacro (ApplyLookupTable, int)
| vtkGetMacro (ApplyYBRToRGB, int) vtkSetMacro(ApplyYBRToRGB
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (LoadIconImage, int)
| vtkGetMacro (LoadOverlays, int)
| vtkGetMacro (LossyFlag, int)
| vtkGetMacro (NumberOfIconImages, int)
| vtkGetMacro (NumberOfOverlays, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (Shift, double)
| vtkGetObjectMacro (Curve, vtkPolyData)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetVector3Macro (ImagePositionPatient, double)
| vtkGetVector6Macro (ImageOrientationPatient, double)
| vtkSetMacro (ApplyLookupTable, int)
| vtkSetMacro (LoadIconImage, int)
| vtkSetMacro (LoadOverlays, int)
| vtkSetMacro (LossyFlag, int)
| vtkTypeMacro (vtkGDCMImageReader, vtkMedicalImageReader2)

## Static Public Member Functions
static vtkGDCMImageReader * | New ()

## Protected Member Functions
| vtkGDCMImageReader ()
| ~vtkGDCMImageReader ()
void | ExecuteData (vtkDataObject *out)
void | ExecuteInformation ()
void | FillMedicalImageInformation (const gdcm::ImageReader &reader)
int | LoadSingleFile (const char *filename, char *pointer, unsigned long &outlen)
int | RequestDataCompat ()
int | RequestInformationCompat ()
void | SetFilePattern (const char *)
void | SetFilePrefix (const char *)
| vtkGetStringMacro (FilePattern)
| vtkGetStringMacro (FilePrefix)
| vtkSetVector6Macro (ImageOrientationPatient, double)

## Protected Attributes
int | ApplyInverseVideo
int | ApplyLookupTable
int | ApplyPlanarConfiguration
int | ApplyShiftScale
int | ApplyYBRToRGB
vtkPolyData * | Curve
vtkMatrix4x4 * | DirectionCosines
vtkStringArray * | FileNames
int | ForceRescale
int | IconDataScalarType
int | IconImageDataExtent [6]
int | IconNumberOfScalarComponents
int | ImageFormat
double | ImageOrientationPatient [6]
double | ImagePositionPatient [3]
int | LoadIconImage
int | LoadOverlays
int | LossyFlag
vtkMedicalImageProperties * | MedicalImageProperties
int | NumberOfIconImages
int | NumberOfOverlays
int | PlanarConfiguration
double | Scale
double | Shift

## Detailed Description

Examples
  AWTMedical3.java, Convert16BitsTo8Bits.cxx, ConvertMultiFrameToSingleFrame.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloActiviz3.cs, HelloActiviz4.cs, HelloActiviz5.cs, HelloVTKWorld.cs, HelloVTKWorld.java, MIPViewer.java, MPRViewer.java, MPRViewer2.java, MagnifyFile.cxx, MetaImageMD5Activiz.cs, ReadSeriesIntoVTK.java, RefCounting.cs, gdcmorthoplanes.cxx, gdcmreslice.cxx, gdcmtexture.cxx, gdcmvolume.cxx, and offscreenimage.cxx.

## Constructor & Destructor Documentation

## ◆ vtkGDCMImageReader()

vtkGDCMImageReader::vtkGDCMImageReader | ( |  | ) |
| protected

Examples
  HelloActiviz2.cs.

References vtkGDCMImageReader().

Referenced by vtkGDCMImageReader(), ~vtkGDCMImageReader(), New(), vtkGetStringMacro(), vtkTypeMacro(), and vtkGDCMThreadedImageReader::vtkTypeMacro().

## ◆ ~vtkGDCMImageReader()

vtkGDCMImageReader::~vtkGDCMImageReader | ( |  | ) |
| protected

References vtkGDCMImageReader().

## Member Function Documentation

## ◆ CanReadFile()

virtual int vtkGDCMImageReader::CanReadFile | ( | const char * | fname | ) |
| virtual

Examples
  AWTMedical3.java, and MetaImageMD5Activiz.cs.

## ◆ ExecuteData()

void vtkGDCMImageReader::ExecuteData | ( | vtkDataObject * | out | ) |
| protected

## ◆ ExecuteInformation()

void vtkGDCMImageReader::ExecuteInformation | ( |  | ) |
| protected

## ◆ FillMedicalImageInformation()

void vtkGDCMImageReader::FillMedicalImageInformation | ( | const gdcm::ImageReader & | reader | ) |
| protected

References FillMedicalImageInformation().

Referenced by FillMedicalImageInformation().

## ◆ GetDescriptiveName()

virtual const char * vtkGDCMImageReader::GetDescriptiveName | ( |  | ) |
| inlinevirtual

## ◆ GetFileExtensions()

virtual const char * vtkGDCMImageReader::GetFileExtensions | ( |  | ) |
| inlinevirtual

## ◆ GetIconImage()

vtkImageData * vtkGDCMImageReader::GetIconImage | ( |  | ) |

## ◆ GetOverlay()

vtkImageData * vtkGDCMImageReader::GetOverlay | ( | int | i | ) |

## ◆ LoadSingleFile()

int vtkGDCMImageReader::LoadSingleFile | ( | const char * | filename,
|  | char * | pointer,
|  | unsigned long & | outlen )
| protected

## ◆ New()

static vtkGDCMImageReader * vtkGDCMImageReader::New | ( |  | ) |
| static

Examples
  Convert16BitsTo8Bits.cxx, ConvertMultiFrameToSingleFrame.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, HelloActiviz.cs, HelloActiviz3.cs, HelloActiviz4.cs, HelloActiviz5.cs, HelloVTKWorld.cs, MagnifyFile.cxx, MetaImageMD5Activiz.cs, RefCounting.cs, gdcmorthoplanes.cxx, gdcmreslice.cxx, gdcmtexture.cxx, gdcmvolume.cxx, offscreenimage.cxx, and reslicesphere.cxx.

References vtkGDCMImageReader().

## ◆ PrintSelf()

virtual void vtkGDCMImageReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )
| virtual

Reimplemented in vtkGDCMThreadedImageReader.

## ◆ RequestDataCompat()

int vtkGDCMImageReader::RequestDataCompat | ( |  | ) |
| protected

References RequestDataCompat().

Referenced by RequestDataCompat().

## ◆ RequestInformationCompat()

int vtkGDCMImageReader::RequestInformationCompat | ( |  | ) |
| protected

References RequestInformationCompat().

Referenced by RequestInformationCompat().

## ◆ SetCurve()

virtual void vtkGDCMImageReader::SetCurve | ( | vtkPolyData * | pd | ) |
| virtual

References SetCurve().

Referenced by SetCurve().

## ◆ SetFileNames()

virtual void vtkGDCMImageReader::SetFileNames | ( | vtkStringArray * |  | ) |
| virtual

Examples
  AWTMedical3.java, HelloActiviz3.cs, HelloActiviz4.cs, HelloActiviz5.cs, MIPViewer.java, MPRViewer.java, MPRViewer2.java, ReadSeriesIntoVTK.java, and gdcmorthoplanes.cxx.

## ◆ SetFilePattern()

void vtkGDCMImageReader::SetFilePattern | ( | const char * |  | ) |
| inlineprotected

## ◆ SetFilePrefix()

void vtkGDCMImageReader::SetFilePrefix | ( | const char * |  | ) |
| inlineprotected

## ◆ SetMedicalImageProperties()

virtual void vtkGDCMImageReader::SetMedicalImageProperties | ( | vtkMedicalImageProperties * | pd | ) |
| virtual

## ◆ vtkBooleanMacro() [1/5]

vtkGDCMImageReader::vtkBooleanMacro | ( | ApplyLookupTable | ,
|  | int | )

References ApplyLookupTable.

## ◆ vtkBooleanMacro() [2/5]

int vtkGDCMImageReader::vtkBooleanMacro | ( | ApplyYBRToRGB | ,
|  | int | )

References ApplyYBRToRGB, and vtkBooleanMacro().

## ◆ vtkBooleanMacro() [3/5]

vtkGDCMImageReader::vtkBooleanMacro | ( | LoadIconImage | ,
|  | int | )

References LoadIconImage.

## ◆ vtkBooleanMacro() [4/5]

vtkGDCMImageReader::vtkBooleanMacro | ( | LoadOverlays | ,
|  | int | )

References LoadOverlays.

Referenced by vtkBooleanMacro().

## ◆ vtkBooleanMacro() [5/5]

vtkGDCMImageReader::vtkBooleanMacro | ( | LossyFlag | ,
|  | int | )

References LossyFlag.

## ◆ vtkGetMacro() [1/11]

vtkGDCMImageReader::vtkGetMacro | ( | ApplyLookupTable | ,
|  | int | )

References ApplyLookupTable.

## ◆ vtkGetMacro() [2/11]

vtkGDCMImageReader::vtkGetMacro | ( | ApplyYBRToRGB | ,
|  | int | )

References ApplyYBRToRGB, and vtkSetMacro().

## ◆ vtkGetMacro() [3/11]

vtkGDCMImageReader::vtkGetMacro | ( | ImageFormat | ,
|  | int | )

References ImageFormat, and vtkGetMacro().

## ◆ vtkGetMacro() [4/11]

vtkGDCMImageReader::vtkGetMacro | ( | LoadIconImage | ,
|  | int | )

References LoadIconImage.

## ◆ vtkGetMacro() [5/11]

vtkGDCMImageReader::vtkGetMacro | ( | LoadOverlays | ,
|  | int | )

References LoadOverlays.

Referenced by vtkGetMacro(), vtkGetMacro(), vtkGetMacro(), and vtkGetMacro().

## ◆ vtkGetMacro() [6/11]

vtkGDCMImageReader::vtkGetMacro | ( | LossyFlag | ,
|  | int | )

References LossyFlag.

## ◆ vtkGetMacro() [7/11]

vtkGDCMImageReader::vtkGetMacro | ( | NumberOfIconImages | ,
|  | int | )

References NumberOfIconImages.

## ◆ vtkGetMacro() [8/11]

vtkGDCMImageReader::vtkGetMacro | ( | NumberOfOverlays | ,
|  | int | )

References NumberOfOverlays.

## ◆ vtkGetMacro() [9/11]

vtkGDCMImageReader::vtkGetMacro | ( | PlanarConfiguration | ,
|  | int | )

References PlanarConfiguration, and vtkGetMacro().

## ◆ vtkGetMacro() [10/11]

vtkGDCMImageReader::vtkGetMacro | ( | Scale | ,
|  | double | )

References Scale, and vtkGetMacro().

## ◆ vtkGetMacro() [11/11]

vtkGDCMImageReader::vtkGetMacro | ( | Shift | ,
|  | double | )

References Shift, and vtkGetMacro().

## ◆ vtkGetObjectMacro() [1/4]

vtkGDCMImageReader::vtkGetObjectMacro | ( | Curve | ,
|  | vtkPolyData | )

References Curve, and vtkGetObjectMacro().

## ◆ vtkGetObjectMacro() [2/4]

vtkGDCMImageReader::vtkGetObjectMacro | ( | DirectionCosines | ,
|  | vtkMatrix4x4 | )

References DirectionCosines.

Referenced by vtkGetObjectMacro().

## ◆ vtkGetObjectMacro() [3/4]

vtkGDCMImageReader::vtkGetObjectMacro | ( | FileNames | ,
|  | vtkStringArray | )

References FileNames.

## ◆ vtkGetObjectMacro() [4/4]

vtkGDCMImageReader::vtkGetObjectMacro | ( | MedicalImageProperties | ,
|  | vtkMedicalImageProperties | )

References MedicalImageProperties.

## ◆ vtkGetStringMacro() [1/2]

vtkGDCMImageReader::vtkGetStringMacro | ( | FilePattern |  | ) |
| protected

References vtkGDCMImageReader().

## ◆ vtkGetStringMacro() [2/2]

vtkGDCMImageReader::vtkGetStringMacro | ( | FilePrefix |  | ) |
| protected

## ◆ vtkGetVector3Macro()

vtkGDCMImageReader::vtkGetVector3Macro | ( | ImagePositionPatient | ,
|  | double | )

References ImagePositionPatient, and vtkGetVector3Macro().

Referenced by vtkGetVector3Macro().

## ◆ vtkGetVector6Macro()

vtkGDCMImageReader::vtkGetVector6Macro | ( | ImageOrientationPatient | ,
|  | double | )

References ImageOrientationPatient, and vtkGetVector6Macro().

Referenced by vtkGetVector6Macro().

## ◆ vtkSetMacro() [1/4]

vtkGDCMImageReader::vtkSetMacro | ( | ApplyLookupTable | ,
|  | int | )

References ApplyLookupTable.

## ◆ vtkSetMacro() [2/4]

vtkGDCMImageReader::vtkSetMacro | ( | LoadIconImage | ,
|  | int | )

References LoadIconImage.

## ◆ vtkSetMacro() [3/4]

vtkGDCMImageReader::vtkSetMacro | ( | LoadOverlays | ,
|  | int | )

References LoadOverlays.

Referenced by vtkGetMacro().

## ◆ vtkSetMacro() [4/4]

vtkGDCMImageReader::vtkSetMacro | ( | LossyFlag | ,
|  | int | )

References LossyFlag.

## ◆ vtkSetVector6Macro()

vtkGDCMImageReader::vtkSetVector6Macro | ( | ImageOrientationPatient | ,
|  | double | )
| protected

References ImageOrientationPatient, and vtkSetVector6Macro().

Referenced by vtkSetVector6Macro().

## ◆ vtkTypeMacro()

vtkGDCMImageReader::vtkTypeMacro | ( | vtkGDCMImageReader | ,
|  | vtkMedicalImageReader2 | )

References vtkGDCMImageReader().

## Member Data Documentation

## ◆ ApplyInverseVideo

int vtkGDCMImageReader::ApplyInverseVideo
| protected

## ◆ ApplyLookupTable

int vtkGDCMImageReader::ApplyLookupTable
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ ApplyPlanarConfiguration

int vtkGDCMImageReader::ApplyPlanarConfiguration
| protected

## ◆ ApplyShiftScale

int vtkGDCMImageReader::ApplyShiftScale
| protected

## ◆ ApplyYBRToRGB

int vtkGDCMImageReader::ApplyYBRToRGB
| protected

Referenced by vtkBooleanMacro(), and vtkGetMacro().

## ◆ Curve

vtkPolyData* vtkGDCMImageReader::Curve
| protected

Referenced by vtkGetObjectMacro().

## ◆ DirectionCosines

vtkMatrix4x4* vtkGDCMImageReader::DirectionCosines
| protected

Referenced by vtkGetObjectMacro().

## ◆ FileNames

vtkStringArray* vtkGDCMImageReader::FileNames
| protected

Referenced by vtkGetObjectMacro().

## ◆ ForceRescale

int vtkGDCMImageReader::ForceRescale
| protected

## ◆ IconDataScalarType

int vtkGDCMImageReader::IconDataScalarType
| protected

## ◆ IconImageDataExtent

int vtkGDCMImageReader::IconImageDataExtent[6]
| protected

## ◆ IconNumberOfScalarComponents

int vtkGDCMImageReader::IconNumberOfScalarComponents
| protected

## ◆ ImageFormat

int vtkGDCMImageReader::ImageFormat
| protected

Referenced by vtkGetMacro().

## ◆ ImageOrientationPatient

double vtkGDCMImageReader::ImageOrientationPatient[6]
| protected

Referenced by vtkGetVector6Macro(), and vtkSetVector6Macro().

## ◆ ImagePositionPatient

double vtkGDCMImageReader::ImagePositionPatient[3]
| protected

Referenced by vtkGetVector3Macro().

## ◆ LoadIconImage

int vtkGDCMImageReader::LoadIconImage
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ LoadOverlays

int vtkGDCMImageReader::LoadOverlays
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ LossyFlag

int vtkGDCMImageReader::LossyFlag
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ MedicalImageProperties

vtkMedicalImageProperties* vtkGDCMImageReader::MedicalImageProperties
| protected

Referenced by vtkGetObjectMacro().

## ◆ NumberOfIconImages

int vtkGDCMImageReader::NumberOfIconImages
| protected

Referenced by vtkGetMacro().

## ◆ NumberOfOverlays

int vtkGDCMImageReader::NumberOfOverlays
| protected

Referenced by vtkGetMacro().

## ◆ PlanarConfiguration

int vtkGDCMImageReader::PlanarConfiguration
| protected

Referenced by vtkGetMacro().

## ◆ Scale

double vtkGDCMImageReader::Scale
| protected

Referenced by vtkGetMacro(), and vtkGDCMThreadedImageReader::vtkSetMacro().

## ◆ Shift

double vtkGDCMImageReader::Shift
| protected

Referenced by vtkGetMacro(), and vtkGDCMThreadedImageReader::vtkSetMacro().

The documentation for this class was generated from the following file:

- vtkGDCMImageReader.h